From 2eb4246df080e11e8bd1d226ee26ebd0683a4232 Mon Sep 17 00:00:00 2001
From: Patrice Chotard <patrice.chotard@st.com>
Date: Tue, 18 Jul 2017 11:38:43 +0200
Subject: [PATCH 4/5] drivers: phy: add generic_phy_valid() method

This allow to check if a PHY has been correctly
initialised and avoid to get access to phy struct.

Signed-off-by: Patrice Chotard <patrice.chotard@st.com>
---
 include/generic-phy.h | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/include/generic-phy.h b/include/generic-phy.h
index 762704c..58cd2b2 100644
--- a/include/generic-phy.h
+++ b/include/generic-phy.h
@@ -220,4 +220,15 @@ int generic_phy_get_by_index(struct udevice *user, int index,
 int generic_phy_get_by_name(struct udevice *user, const char *phy_name,
 			    struct phy *phy);
 
+/**
+ * generic_phy_valid() - check if PHY port is valid
+ *
+ * @phy:	the PHY port to check
+ * @return TRUE if valid, or FALSE
+ */
+static inline bool generic_phy_valid(struct phy *phy)
+{
+	return phy->dev != NULL;
+}
+
 #endif /*__GENERIC_PHY_H */
-- 
2.1.0.27.g96db324

